Search

Atalasoft Knowledge Base

INFO: .NET 4.x Deployment Errors

Administrator
DotImage

UPDATE for 11.2 and newer ONLY

DotImage 11.2 no longer requires the VS2010 C++ runtimes. We have been stuck using those older redistributes due to third party dependencies which have finally all resolved to use more current redistributeables.

WingScan requires at least the VS2015 C++ Runtime (x86) on client PCs, but we recommend using the inclusive redistributable here

 Microsoft Visual C++ Redistributable for 2015, 2017 and 2019 inclusive:

x86: https://aka.ms/vs/16/release/vc_redist.x86.exe

x64: https://aka.ms/vs/16/release/vc_redist.x64.exe

If these links are stale or if you want more info directly from MS, please see: The latest supported Visual C++ downloads

Original Article (11.0 and older)

The links below lead to the C++ VS 2010 Redistributable sp1. They need to be installed on client machines for any executable using our components in .NET 4.0 and higher. (NOTE as of 11.0 we require at least .NET 4.5.2 or up as MS has end of lifed 4.0, 4.5 and 4.5.1.. but we still depend on the VS2010 C++ runtimes)

Microsoft Visual C++ 2010

x86 (32 bit) - https://www.microsoft.com/en-us/download/details.aspx?id=8328

x64 (64 bit)  -  https://www.microsoft.com/en-us/download/details.aspx?id=13523

When going to the Microsoft site it will give you the option downloading x86, ia64, and x64 versions. We strongly recommend installing both the x86 and x64 redistributable packages.

If you have this problem, before you fix it, you might get this error:

could not load file or assembly Atalasoft.dotImage.lib or one of its dependencies. Specified module could not be found.

If you have the C++ redistributable installed and your 32 bit web application is still receiving this error, go into the iis console, and ensure that the "Enable 32-Bit Applications" is set to True in the advanced settings in the application Pool where your site is running. If in doubt, just create a new application pool with the appropriate settings and assign your application to it.

Original Article:
Q10318 - INFO: .NET 4.x Deployment Errors

Details
Last Modified: 10 Months Ago
Last Modified By: Administrator
Type: INFO
Rated 5 stars based on 1 vote
Article has been viewed 2.4K times.
Options
Also In This Category